#
# spec file for package python3-pytz
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pytz
Version:        2015.6
Release:        3.2
Url:            http://pytz.sourceforge.net
Summary:        World timezone definitions, modern and historical
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/pytz/pytz-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
#BuildRequires:  python3-nose
Provides:       python3-tz = 2013b
Obsoletes:      python3-tz < 2013b
BuildArch:      noarch

%description
pytz - World Timezone Definitions for Python
pytz brings the Olson tz database into Python. This library allows
accurate and cross platform timezone calculations using Python 2.4
or higher. It also solves the issue of ambiguous times at the end
of daylight savings, which you can read more about in the Python
Library Reference (``datetime.tzinfo``).

Amost all of the Olson timezones are supported.

%prep
%setup -q -n pytz-%{version}
# For rpmlint warning: remove shebang from python library:
sed -i '/^#!/d' ./pytz/tzfile.py

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{python3_sitelib}

#%%check
#nosetests

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%{python3_sitelib}/pytz/
%{python3_sitelib}/pytz-%{version}-py*.egg-info

%changelog
* Mon Oct  5 2015 arun@gmx.de
- update to version 2015.6:
  (no changelog available)
* Mon May 25 2015 arun@gmx.de
- update to version 2015.4:
  (no changelog available)
* Wed Mar 25 2015 arun@gmx.de
- update to version 2015.2:
  * update to Olson/IANA database version 2015b
* Tue Jan  6 2015 arun@gmx.de
- update to version 2014.10:
  * update to Olson/IANA database version 2014j
  * update tests
  * fix README
* Thu May  8 2014 toddrme2178@gmail.com
- Update to pytz 2014.2
  + Olson/IANA databse version 2014b
  + No code changes in this release
- update to 2013.9:
  - Olson database 2013i
- New upstream release 2013.8
  - IANA database version 2013h
  - No code changes
* Tue Oct 22 2013 toddrme2178@gmail.com
- Update to version 2013.7:
  + No changes
- update to 2013d:
  * sync with timezone 2013d release
* Tue Apr 30 2013 dmueller@suse.com
- add provides/obsoletes on python(3)-tz
* Mon Jan 14 2013 p.drouand@gmail.com
- Initial python3 support
